jQuery(document).ready(function() {
	jQuery("#barvneTemeWrapper a").click(function(){
		event.preventDefault();
		var d = new Date();
		d.setTime(d.getTime() + (30*24*60*60*1000));
		document.cookie = "colortheme=theme"+jQuery(this).attr('theme')+";expires="+d.toUTCString()+";path=/";
		location.reload(true);
	});
	
	jQuery("#fontWrapper a").click(function(){
		event.preventDefault();
		var d = new Date();
		d.setTime(d.getTime() + (30*24*60*60*1000));
		document.cookie = "fontstyle=font"+jQuery(this).attr('fontstyle')+";expires="+d.toUTCString()+";path=/";
		location.reload(true);
	});
	
	jQuery("#sizeWrapper a").click(function(){
		event.preventDefault();
		var d = new Date();
		d.setTime(d.getTime() + (30*24*60*60*1000));
		document.cookie = "fontsize=size"+jQuery(this).attr('fontsize')+";expires="+d.toUTCString()+";path=/";
		location.reload(true);
	});
	
	jQuery("#cursorWrapper input").change(function(){
		event.preventDefault();
		var d = new Date();
		d.setTime(d.getTime() + (30*24*60*60*1000));
		document.cookie = "cursorsize=cursor"+jQuery(this).val()+";expires="+d.toUTCString()+";path=/";
		jQuery("body").removeClass("cursor0");
		jQuery("body").removeClass("cursor50");
		jQuery("body").removeClass("cursor80");
		jQuery("body").addClass("cursor"+jQuery(this).val());
	});
	

	var cookies = document.cookie.split(";");
	for (i=0; i<cookies.length; i++) {
		var cookieNameValue = cookies[i].trim().split("=");
		var cookieName = cookieNameValue[0];
		var cookieValue = cookieNameValue[1];
		if (cookieName=='cursorsize') {
			jQuery("body").addClass(cookieValue);
		}
	}
	
	jQuery("div[role='button'], div[role='link']").on('keyup', function (e) {
		var keyCode = e.keyCode || e.which; 
		if ((keyCode==13)) {
			jQuery(this).trigger('click');			
		}
	});
	
	jQuery("#menu-top, #menu-main, #menu-top-mobile, #menu-main-mobile").on('keyup', function(e){
		var keyCode = e.keyCode || e.which; 
		if (keyCode==13 || keyCode==27 || keyCode==32 || (keyCode>=37 && keyCode<=40)) {event.preventDefault();}
	});
	
	jQuery('#menu-top').on('keydown', function(e) {
		var keyCode = e.keyCode || e.which; 
		var activeElement = jQuery("#menu-top a:focus").parent();
		if (jQuery(activeElement).length<=0) {return;}
		if (keyCode==13 || keyCode==32 || (keyCode>=37 && keyCode<=40)) {event.preventDefault();}
		if (keyCode==13 || keyCode==32) {window.location.href = jQuery("a:focus").attr("href");}
		if ((keyCode==37)) {
			if (jQuery(activeElement).prev().length>0) {
				jQuery(activeElement).prev().children("a").focus();
			}
			else {
				jQuery(activeElement).parent().children("li").last().children("a").focus();
			}
		}
		if ((keyCode==39)) {
			if (jQuery(activeElement).next().length>0) {
				jQuery(activeElement).next().children("a").focus();
			}
			else {
				jQuery(activeElement).parent().children("li").first().children("a").focus();
			}
		}
	});
	
	jQuery('#menu-main').on('keydown', function(e) {
		var keyCode = e.keyCode || e.which; 
		var activeElement = jQuery("#menu-main a:focus").parent();
		var isInDropdown = jQuery("#menu-main ul a:focus").length;
		
		var keyCode = e.keyCode || e.which; 
		var activeElement = jQuery("#menu-main a:focus").parent();
		var isDeeper = jQuery("#menu-main ul a:focus").length;		
		var isDeeperMore = jQuery("#menu-main ul ul a:focus").length;
				
		if (jQuery(activeElement).length<=0) {return;}
		if (keyCode==27 || keyCode==13 || keyCode==32 || (keyCode>=37 && keyCode<=40)) {e.preventDefault();}
		if (keyCode==13 || keyCode==32) {window.location.href = jQuery("a:focus").attr("href");}
		
		if (keyCode == 27 && isDeeper)  {
			jQuery(activeElement).parent().closest('li').find('a').get(0).focus();
			jQuery(activeElement).parent().closest('li').removeClass('focused');
		}
		
		if ((keyCode==37 && !isDeeper) || (keyCode==38 && isDeeper)) {
			if (jQuery(activeElement).prev().length>0) {
				jQuery(activeElement).prev().children("a").get(0).focus();
			}
			else {
				jQuery(activeElement).parent().children("li").last().children("a").get(0).focus();
			}
		}
		if ((keyCode==39 && !isDeeper) || (keyCode==40 && isDeeper)) {
			if (jQuery(activeElement).next().length>0) {
				jQuery(activeElement).next().children("a").get(0).focus();
			}
			else {
				jQuery(activeElement).parent().children("li").first().children("a").get(0).focus();
			}
		}
		
		if (keyCode==40 && !isDeeper) {
			if (jQuery(activeElement).hasClass('menu-item-has-children')) {
				jQuery(activeElement).addClass('focused');
				jQuery(activeElement).find('ul a').get(0).focus();
			}
		}
		
		if (keyCode==37 && isDeeper) {
			if (isDeeperMore) {
				jQuery(activeElement).parent().closest('li').find('a').get(0).focus();
				jQuery(activeElement).parent().closest('li').removeClass('focused');
			} else {
				jQuery('#menu-main li').removeClass('focused');
				if (jQuery(activeElement).parent().closest('#menu-main > li').prev().length>0) {
					jQuery(activeElement).parent().closest('#menu-main > li').prev().children("a").get(0).focus();
				}
				else {
					jQuery(activeElement).parent().closest('#menu-main').children('li').last().children("a").get(0).focus();
				}
			}
		}
		
		if (keyCode==39 && isDeeper) {
			if (jQuery(activeElement).hasClass('menu-item-has-children')) {
				jQuery(activeElement).addClass('focused');
				jQuery(activeElement).find('ul a').get(0).focus();
			} else {
				jQuery('#menu-main li').removeClass('focused');
				if (jQuery(activeElement).parent().closest('#menu-main > li').next().length>0) {
					jQuery(activeElement).parent().closest('#menu-main > li').next().children('a').get(0).focus();
				}
				else {
					jQuery(activeElement).parent().closest('#menu-main').find('a').get(0).focus();
				}
			}
		}
		
	});
	
	jQuery('#menu-top-mobile, #menu-main-mobile').on('keyup', function(e) {
		var keyCode = e.keyCode || e.which; 
		var activeElement = jQuery("#menu-top-mobile a:focus").parent();
		if (jQuery(activeElement).length<=0) {
			activeElement = jQuery("#menu-main-mobile a:focus").parent();
		}
		if (jQuery(activeElement).length<=0) {return;} 
		
		if (keyCode==27 || keyCode==13 || keyCode==32 || (keyCode>=37 && keyCode<=40)) {e.preventDefault();}
		if (keyCode==13) {window.location.href = jQuery("a:focus").attr("href");}
		if (keyCode==32) {
			if (jQuery('a:focus').parent().hasClass('menu-item-has-children')) {
				jQuery('a:focus').trigger("click");
			} else {
				//window.location.href = jQuery("a:focus").attr("href");
			}
			
		}
		if ((keyCode==38)) {
			if (jQuery(activeElement).prev().length>0) {
				jQuery(activeElement).prev().children("a").focus();
			}
			else {
				jQuery(activeElement).parent().children("li").last().children("a").focus();
			}
		}
		if ((keyCode==40)) {
			if (jQuery(activeElement).next().length>0) {
				jQuery(activeElement).next().children("a").focus();
			}
			else {
				jQuery(activeElement).parent().children("li").first().children("a").focus();
			}
		}
	});
	
	jQuery(".accessibility-module").on('keyup', function(e) {
		var keyCode = e.keyCode || e.which; 
		if (keyCode==27) {accessibilityMain();event.preventDefault();}
	});
	
	if (jQuery('.elementor-icon-box-wrapper a.elementor-icon').length) {
		jQuery('.elementor-icon-box-wrapper a.elementor-icon').attr('aria-hidden', 'true');
		jQuery('.elementor-icon-box-wrapper a.elementor-icon').attr('tabindex', '-1');
	}
});

function accessibilityMain() {
	jQuery(".accessibility-module").toggle();
	if (jQuery('.accessibility-module:visible').length) {
		jQuery(".accessibility-module a").first().focus();
	} else {
		jQuery(".link-accessibility:visible").first().focus();
	}
}