<?php
get_header();
?>
<?php
while (have_posts()):
	the_post();
?>
<main class="site-main">
	<div class="breadcrumbs">
		<div class="breadcrumbs-inner container">
			<div class="row">
				<div class="col-12">
					<span class="pretext"><?php echo __('Nahajate se:', 'knjiznice'); ?></span> <?php bcn_display(); ?>
				</div>
			</div>
		</div>
	</div>
	
	<div class="content-main">
		<div class="container">
			<div class="row">
				<div id="primary" class="<?php echo is_active_sidebar('sidebar-2') ? "col-xl-9 col-lg-8":"col-12";?>">
					<?php the_title( '<h1>', '</h1>'); ?>
					<?php get_template_part( 'template-parts/content', get_post_type()); ?>
					<?php if ( false && comments_open() && ! post_password_required() ) : ?>
						<div class="entry-comments">
							<?php comments_template('', true ); ?>
						</div>
					<?php endif; ?>
				</div>
				<?php if (is_active_sidebar('sidebar-2')) : ?>
					<aside id="secondary" class="col-xl-3 col-lg-4" role="region" aria-label="<?php echo __('Stranska vrstica', 'knjiznice'); ?>">
						<?php dynamic_sidebar( 'sidebar-2' ); ?>
					</aside>
				<?php endif; ?>
			</div>
		</div>
	</div>
</main>
<?php endwhile; ?>
<?php 
get_footer();
