﻿<?php
get_header();
?>
<?php
while (have_posts()):
	the_post();
?>
<main class="site-main">
	<div class="breadcrumbs">
		<div class="breadcrumbs-inner container">
			<div class="row">
				<div class="col-12">
					<span class="pretext"><?php echo __('Nahajate se:', 'knjiznice'); ?></span> <?php bcn_display(); ?>
				</div>
			</div>
		</div>
	</div>
	
	<?php if (get_post_thumbnail_id(get_the_ID())) : ?>
		<div class="banner" style="background-image:url('<?php echo wp_get_attachment_image_src(get_post_thumbnail_id(get_the_ID()), 'full')[0]; ?>');"></div>
	<?php endif; ?>
	
	<div class="content-main">
		<div class="container">
			<div class="row">
				<div id="primary" class="<?php echo is_active_sidebar('sidebar-1') ? "col-md-8 col-xl-9":"col-12";?>">
					<?php the_title( '<h1>', '</h1>'); ?>
					<?php get_template_part( 'template-parts/content', 'page' ); ?>
				</div>
				<?php get_sidebar(); ?>
			</div>
		</div>
	</div>
</main>
<?php endwhile; ?>
<?php 
get_footer();