<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
	<div class="row">
		<?php if (has_post_thumbnail()): ?>
		<div class="entry-image col-12 col-md-4">
			<?php knjiznice_post_thumbnail('medium'); ?>
		</div>
		<?php endif; ?>
		<div class="col-12 <?php echo has_post_thumbnail() ? "col-md-8":""?>">
			<div class="entry-header">
				<?php the_title(sprintf('<h2><a href="%s">', esc_url(get_permalink())), '</a></h2>'); ?>
				
				<?php if ('post' === get_post_type()): ?>
				<div class="entry-meta">
					<i class="fa fa-calendar" aria-hidden="true"></i> <?php echo get_the_date(); ?>&nbsp;&nbsp;	
					<i class="fa fa-user" aria-hidden="true"></i> <?php echo get_the_author(); ?>
				</div>
				<?php endif; ?>
			</div>
			<div class="entry-summary">
				<?php the_excerpt(); ?>
			</div>
		</div>
	</div>
	<div class="entry-footer">
		<?php knjiznice_entry_footer(); ?>
	</div>
</article>
